<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/mailcentre/class/view/mailcentremessagelistview.class.php" );
	
	class MailCentreSentMail extends AdminAction
	{
		
		function MailCentreSentMail( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );

            $this->requireAdminPermission( "manage_plugin_admincentre" );            
		}
		
		function perform()
		{
			$this->_view = new MailCentreMessageListView( $this->_blogInfo );
			$this->setCommonData();
			
			return( true );
		}
	}
?>